Bug 12657 - Resolution of DR 292 (WP) still unimplemented
Summary: Resolution of DR 292 (WP) still unimplemented
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 3.4.0
: P2 normal
Target Milestone: 3.3.3
Assignee: Paolo Carlini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-17 08:23 UTC by Paolo Carlini
Modified: 2004-01-29 10:44 UTC (History)
1 user (show)

See Also:
Host: Any
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2003-10-17 08:23:24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Carlini 2003-10-17 08:23:10 UTC
Internal reminder.

Basically, copyfmt(basic_ios& rhs) should do *nothing* if (this == &rhs)
Comment 1 CVS Commits 2003-10-22 15:44:23 UTC
Subject: Bug 12657

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	paolo@gcc.gnu.org	2003-10-22 15:44:20

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/include/bits: basic_ios.tcc 
	libstdc++-v3/docs/html/ext: howto.html 

Log message:
	2003-10-22  Paolo Carlini  <pcarlini@suse.de>
	
	PR libstdc++/12657
	* include/bits/basic_ios.tcc (copyfmt(const basic_ios&)):
	Implement resolution of DR 292 (WP).
	* docs/html/ext/howto.html: Add entry for DR 292.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&r1=1.2032&r2=1.2033
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/include/bits/basic_ios.tcc.diff?cvsroot=gcc&r1=1.25&r2=1.26
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/docs/html/ext/howto.html.diff?cvsroot=gcc&r1=1.34&r2=1.35

Comment 2 Paolo Carlini 2003-10-22 15:45:14 UTC
Fixed for 3.4.
Comment 3 CVS Commits 2004-01-29 10:44:11 UTC
Subject: Bug 12657

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	paolo@gcc.gnu.org	2004-01-29 10:44:05

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/include/bits: basic_ios.tcc 

Log message:
	2004-01-29  Paolo Carlini  <pcarlini@suse.de>
	
	PR libstdc++/12657
	* include/bits/basic_ios.tcc (copyfmt(const basic_ios&)):
	Implement resolution of DR 292 (WP).

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.1464.2.178&r2=1.1464.2.179
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/include/bits/basic_ios.tcc.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.17.4.4&r2=1.17.4.5